import Mocker from './mocker/mocker';
export default class Index {
    private static isEnabled;
    /**
     * Auto detect request enviroment and setup request mock.
     * @param {string} type
     */
    static setup(proxyServer?: string): Mocker;
    /**
     * Setup request mock for wx.request.
     * @param {string} type
     */
    static setupForWx(proxyServer?: string): Mocker;
    /**
     * Setup request mock for XMLHttpRequest.
     * @param {string} type
     */
    static setupForXhr(proxyServer?: string): Mocker;
    /**
     * Setup request mock for fetch.
     * @param {string} type
     */
    static setupForFetch(proxyServer?: string): Mocker;
    /**
     * Setup request mock for node http/https request.
     * @param {string} type
     */
    static setupForNode(proxyServer?: string): Mocker;
    /**
     * Enable mock function temporarily.
     * Not available in proxy mode.
     */
    static enable(): Mocker;
    /**
     * Disable mock function temporarily.
     * Not available in proxy mode.
     */
    static disable(): Mocker;
    /**
     * Enable verbose log.
     * Not available in proxy mode.
     */
    static enableLog(): Mocker;
    /**
     * Disable verbose log.
     * Not available in proxy mode.
     */
    static disableLog(): Mocker;
    /**
     * Setup request mock for unit test.
     * @param {string} type
     */
    static setupForUnitTest(type: 'wx' | 'xhr' | 'fetch' | 'node' | 'node.http.request' | 'all'): Mocker;
    static default: typeof Index;
}
